/* eslint-disable local-rules/sort-imports */

// Styles
import "./styles/main.css";

// Components
import * as blueprints from "./blueprints/index.js";
import * as components from "./components/index.js";
import * as directives from "./directives/index.js";
import { createVuetify as _createVuetify } from "./framework.js"; // Types
export const createVuetify = function () {
  let options = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
  return _createVuetify({
    components,
    directives,
    ...options
  });
};
export const version = "3.8.2";
createVuetify.version = version;
export { blueprints, components, directives };
export * from "./composables/index.js";
//# sourceMappingURL=entry-bundler.js.map